Mailinglist Archive: opensuse-factory (378 mails)

< Previous Next >
[opensuse-factory] New Tumbleweed snapshot 20191109 released!
  • From: Dominique Leuenberger <dimstar@xxxxxxx>
  • Date: Mon, 11 Nov 2019 03:01:47 +0000
  • Message-id: <157344130783.5803.3109507647501955623@go-agent-stagingbot-5>

Please note that this mail was generated by a script.
The described changes are computed based on the x86_64 DVD.
The full online repo contains too many changes to be listed here.

Please check the known defects of this snapshot before upgrading:
https://openqa.opensuse.org/tests/overview?distri=opensuse&groupid=1&version=Tumbleweed&build=20191109

Please do not reply to this email to report issues, rather file a bug
on bugzilla.opensuse.org. For more information on filing bugs please
see https://en.opensuse.org/openSUSE:Submitting_bug_reports

Packages changed:
LibVNCServer
apulse
autoconf
autoconf-el
bogofilter
bzip2
chrony
elementary-xfce-icon-theme (0.13.1+git37.828aa1a8 -> 0.14+git5.36fd0049)
erofs-utils (0.1+20190826 -> 1.0)
git (2.23.0 -> 2.24.0)
hivex
libdrm
libglvnd
libmfx
libva
libva-gl
libwebp
llvm9
mhvtl
openconnect (8.03 -> 8.05)
ovmf
perl-Cpanel-JSON-XS (4.15 -> 4.17)
publicsuffix (20190808 -> 20191025)
python-rpm-macros (20190610.2ee3233 -> 20191104.08e6493)
qemu
qemu-linux-user
rebootmgr (0.20 -> 0.20.1)
system-tuning-common-SUSE
texinfo (6.6 -> 6.7)
v4l-utils
xdg-utils
xreader

=== Details ===

==== LibVNCServer ====

- turn the test suite on
- security update
- added patches
CVE-2019-15681 [bsc#1155419]
+ LibVNCServer-CVE-2019-15681.patch

==== apulse ====
Subpackages: apulse-32bit

- add apulse-fix-pulse-13.patch to fix build against PA 13
- Remove obsolete Groups tag (fate#326485)

==== autoconf ====

- Fix testsuite with Bash 5, add port-tests-to-bash-5.patch
- Require perl-base instead of perl, none of the additional modules
are required.
- Remove obsolete Groups tag (fate#326485)

==== autoconf-el ====

- Fix testsuite with Bash 5, add port-tests-to-bash-5.patch
- Require perl-base instead of perl, none of the additional modules
are required.
- Remove obsolete Groups tag (fate#326485)

==== bogofilter ====
Subpackages: bogofilter-common bogofilter-db

- Remove obsolete Groups tag (fate#326485)

==== bzip2 ====
Subpackages: libbz2-1 libbz2-1-32bit libbz2-devel

- Use correct version in autotools patchset
M bzip2-1.0.6.2-autoconfiscated.patch

==== chrony ====

- Change to BuildRequires: rubygem(asciidoctor) and remove conditional
(is available in SLE12-SP4 and SLE15* as well)
- Fix typo in %install

==== elementary-xfce-icon-theme ====
Version update (0.13.1+git37.828aa1a8 -> 0.14+git5.36fd0049)

- Update to version 0.14+git5.36fd0049:
* Drop Firefox icon
- Update to version 0.14+git4.5c874a03:
* fix nm-device-wired 16px light icon colors
* make nm-device-wired dark icon 16px match 22px style
* Make 24px home folder consistent with 16px
* Make 16-24px Music folder blue for better contrast on dark background
* make nm-device-wired icon 16px match 22px style
* Added nm-applet wired symbolic icon
* Improve sizing and alignment of thunderbird icon
* thunderbird png -> svg
* New thunderbird icon
- Update to version 0.14+git4.5c874a03:
* fix nm-device-wired 16px light icon colors
* make nm-device-wired dark icon 16px match 22px style
* make nm-device-wired icon 16px match 22px style

==== erofs-utils ====
Version update (0.1+20190826 -> 1.0)

- Update to release 1.0
* list available compressors for help command
* introduce long parameter option
* introduce shared xattr support
* introduce inline xattr support
* fix old kernel compatibility for non-lz4 compression
* introduce fixed UNIX timestamp
* complete extended inode support
* support 64-bit internal buffer cache
* keep up with in-kernel ondisk format naming
* resize image to the correct size
* complete special file support
- Drop long.patch (merged upstream)

==== git ====
Version update (2.23.0 -> 2.24.0)
Subpackages: git-core git-cvs git-daemon git-email git-gui git-svn git-web gitk

- 0001-DOC-Move-to-DocBook-5-when-using-asciidoctor.patch: Don't remove
"-x manpage.xsl" option
- BuildRequire docbook5-xsl-stylesheets
- git 2.24.0
* The command line parser learned "--end-of-options" notation.
* A mechanism to affect the default setting for a (related) group of
configuration variables is introduced.
* "git fetch" learned "--set-upstream" option to help those who first
clone from their private fork they intend to push to, add the true
upstream via "git remote add" and then "git fetch" from it.
* fixes and improvements to UI, workflow and features, bash completion fixes
- modified patch 0001-DOC-Move-to-DocBook-5-when-using-asciidoctor.patch
* part of it merged upstream
* the Makefile attempted to download some documentation, banned

==== hivex ====

- Fix bytecode build
- Remove defattr and BuildRoot
- disablement of lto comes via ocaml macros

==== libdrm ====
Subpackages: libdrm-devel libdrm2 libdrm_amdgpu1 libdrm_intel1 libdrm_nouveau2
libdrm_radeon1

- This release includes support for latest Intel GPUs
(jsc#SLE-7962, jsc#SLE-8024, jsc#SLE-8022, jsc#SLE-10182,
jsc#SLE-4989, jsc#SLE-4983, bsc#1137515)

==== libglvnd ====
Subpackages: libglvnd-32bit

- This release is needed for latest Mesa update in order to
support latest GPUs including Intel (jsc#SLE-7962, jsc#SLE-8024,
jsc#SLE-8022, jsc#SLE-10182)

==== libmfx ====
Subpackages: libmfx1

- This release fullfills requirements for jsc#SLE-8841

==== libva ====
Subpackages: libva-drm2 libva-x11-2 libva2

- This release is needed for latest intel-media-driver update
(jsc#SLE-8838)

==== libva-gl ====
Subpackages: libva-glx2 libva-wayland2

- This release is needed for latest intel-media-driver update
(jsc#SLE-8838)

==== libwebp ====
Subpackages: libwebp7 libwebpdemux2 libwebpmux3

- Disable LTO (boo#1155449) for ARM targets.

==== llvm9 ====
Subpackages: clang9 clang9-checker clang9-doc libLLVM9 libLTO9 libc++-devel
libc++1 libc++abi-devel libc++abi1 libclang9

- Add openmp-export-fini.patch: Export termination function for
libomp.so, solves boo#1155108.
- Remove flaky test case in libcxx.
- Fix typo, BOLL -> BOOL

==== mhvtl ====

- Use the correct macro for systemd generator directory

==== openconnect ====
Version update (8.03 -> 8.05)
Subpackages: libopenconnect5 openconnect-lang

- No need to ship hipreport-android.sh as it is intented for
android systems only
- Update to 8.0.5:
* Minor fixes to build on specific platforms
- Use python3 to generate the web data as now it is supported
by upstream

==== ovmf ====
Subpackages: qemu-ovmf-x86_64

- Use the same x86 4MB firmware names as the ones in the previous
version (< stable201905) for backward compatibility
- Disable TLS for IA32(i586) to avoid exceeding the size limitation
while using the tool chain from SLE15-SP2/openSUSE Leap 15.2
- Add ovmf-bsc1153072-fix-invalid-https-cert.patch to reject the
invalid server certificates for HTTPS Boot
(bsc#1153072, CVE-2019-14553)

==== perl-Cpanel-JSON-XS ====
Version update (4.15 -> 4.17)

- updated to 4.17
see /usr/share/doc/packages/perl-Cpanel-JSON-XS/Changes
4.17 2019-11-04 (rurban)
- Add Changes tests and fixups (see #155)
4.16 2019-11-04 (rurban)
- Use Perl_strtod instead of self-made atof (via pow), to
minimize differences from core string-to-float conversions.
(#154). Fixes float representation regressions (in the 1e-6
to 1e-16 range) since 5.22.

==== publicsuffix ====
Version update (20190808 -> 20191025)

- Update to version 20191025:
* gTLD list updated to 2019-10-24 state
* Update .so suffix list
* Add the new TLD .ss
* Add xn--mgbah1a3hjkrd (?????????)
* Add lolipop.io
* Add altervista.org
* Remove zone.id from list
* Add new domain to Synology dynamic dns service

==== python-rpm-macros ====
Version update (20190610.2ee3233 -> 20191104.08e6493)

- Update to version 20191104.08e6493:
* %pyproject_install macro should include --no-compile.
* Recognise the _ for the macro arguments too

==== qemu ====
Subpackages: qemu-arm qemu-block-curl qemu-block-dmg qemu-block-gluster
qemu-block-iscsi qemu-block-nfs qemu-block-rbd qemu-block-ssh qemu-extra
qemu-guest-agent qemu-ipxe qemu-ksm qemu-kvm qemu-lang qemu-ppc qemu-s390
qemu-seabios qemu-sgabios qemu-tools qemu-ui-curses qemu-ui-gtk qemu-ui-sdl
qemu-vgabios qemu-vhost-user-gpu qemu-x86

- Fix two issues with qcow2 image processing which could affect
disk integrity
qcow2-Fix-QCOW2_COMPRESSED_SECTOR_MASK.patch
qcow2-bitmap-Fix-uint64_t-left-shift-ove.patch
- Work around a host kernel xfs bug which can result in qcow2 image
corruption
block-io-refactor-padding.patch
util-iov-introduce-qemu_iovec_init_exten.patch
block-Make-wait-mark-serialising-request.patch
block-Add-bdrv_co_get_self_request.patch
block-file-posix-Let-post-EOF-fallocate-.patch
- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-4.1
- Correct package names in _constraints after switch to multibuild.

==== qemu-linux-user ====

- Fix two issues with qcow2 image processing which could affect
disk integrity
qcow2-Fix-QCOW2_COMPRESSED_SECTOR_MASK.patch
qcow2-bitmap-Fix-uint64_t-left-shift-ove.patch
- Work around a host kernel xfs bug which can result in qcow2 image
corruption
block-io-refactor-padding.patch
util-iov-introduce-qemu_iovec_init_exten.patch
block-Make-wait-mark-serialising-request.patch
block-Add-bdrv_co_get_self_request.patch
block-file-posix-Let-post-EOF-fallocate-.patch
- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-4.1
- Correct package names in _constraints after switch to multibuild.

==== rebootmgr ====
Version update (0.20 -> 0.20.1)

- Update to version 0.20.1
- added a memory allocation check

==== system-tuning-common-SUSE ====

- fix variable expansion in 80-hotplug-cpu-mem.rules (boo#1154655)

==== texinfo ====
Version update (6.6 -> 6.7)
Subpackages: info info-std makeinfo

- update to 6.7:
* support of index subentries and sub-subentries with @subentry
* new commands @seeentry and @seealso in index entries
* UTF-8 is the default input encoding
* updates to HTML output of texi2any
* support of noderename.cnf files has been removed
* INPUT_PERL_ENCODING, INPUT_ENCODING_NAME, NODE_FILE_EXTENSION,
NODE_FILENAMES, SHORTEXTN and TOP_NODE_FILE removed as
customization variables
* TOP_NODE_FILE_TARGET now contains the extension
* texi2dvi: unconditionally run in --batch mode, ignore TeX errors
* info: for a tree search (with M-/), '}' and '{' work as well
as 'M-}' and 'M-{' to go through the results

==== v4l-utils ====
Subpackages: libv4l libv4l1-0 libv4l2-0 libv4lconvert0

- add v4l-utils-32bitfix.patch (boo#1109541)

==== xdg-utils ====

- Add 0001-Don-t-run-kreadconfig-if-KDE_SESSION_VERSION-is-5.patch
to read the KDE Frameworks config file if necessary (boo#1155462)

==== xreader ====
Subpackages: libxreaderdocument3 libxreaderview3 xreader-lang
xreader-plugin-epubdocument xreader-plugin-pdfdocument
xreader-plugin-psdocument xreader-plugin-tiffdocument xreader-plugin-xpsdocument

- Remove Requires: xreader-backends from xreader-devel


--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages